Subject: bug#58763: [BUG] gnuzilla: icedove profiles don't work

From: florhizome <[email-masked]>
Date: Mon, 24 Oct 2022 16:23:50 +0000

Hi,
Using the recent gnome desktop on a Guix system, Icedove seems to be unable to restore recent/the last used
configuration. This appears either by upgrade or reboot. (For some time
the configuration was stable, but I'm not sure which of the two killed it.
When I start it from the cli with the argument "-ProfileManager" ,
profiles are listed, but with either one selected, icedove will just
boot like a vanilla configuration.
However this error shows up
"JavaScript error: resource://gre/modules/XULStore.jsm, line 66: Error: Can't find profile directory.
JavaScript error: resource://gre/modules/XULStore.jsm, line 66: Error: Can't find profile directory.
JavaScript error: resource://gre/modules/XULStore.jsm, line 66: Error: Can't find profile directory.
JavaScript error: resource://gre/modules/XULStore.jsm, line 66: Error:
Can't find profile directory."
This is kind of weird since the profiles are actually shown.

Since Icedove seems to be a guix product (?) I submit this to guix'
bugtracker as well.
Cheers, florhizome